{"title":"Create irs1099Codes (v1.0)","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v1.0/api/dynamics_create_irs1099/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_create_irs1099, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_create_irs1099","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"(v1.0) Creates an IRS 1099 code object in Dynamics 365 Business Central.","date":"2024-05-01","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Create irs1099Codes (v1.0)","slug":"create-irs1099codes-v10","at":0,"chars":1566},{"level":2,"title":"HTTP request (v1.0)","slug":"http-request-v10","at":81,"chars":213},{"level":2,"title":"Request headers (v1.0)","slug":"request-headers-v10","at":294,"chars":109},{"level":2,"title":"Request body (v1.0)","slug":"request-body-v10","at":403,"chars":100},{"level":2,"title":"Response (v1.0)","slug":"response-v10","at":503,"chars":135},{"level":2,"title":"Example (v1.0)","slug":"example-v10","at":638,"chars":674},{"level":2,"title":"Related information","slug":"related-information","at":1312,"chars":254}],"text":"# Create irs1099Codes (v1.0)\nCreate an IRS 1099 code object in Business Central.\n## HTTP request (v1.0)\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nPOST businesscentralPrefix/companies({id})/irs1099Codes\n```\n## Request headers (v1.0)\nHeader|Value\nAuthorization|Bearer {token}. Required.\nContent-Type|application/json\n## Request body (v1.0)\nIn the request body, supply a JSON representation of an irs1099Codes object.\n## Response (v1.0)\nIf successful, this method returns ```201 Created``` response code and an irs1099Codes object in the response body.\n## Example (v1.0)\nRequest\nHere is an example of a request.\n```json\nPOST https://{businesscentralPrefix}/api/v1.0/companies({id})/irs1099Codes\nContent-type: application/json\n\n{\n  \"code\": \"R-10\",\n  \"displayName\": \"State income tax withheld\",\n  \"minimumReportable\": 0\n}\n```\nResponse\nHere is an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\nHTTP/1.1 201 Created\nContent-type: application/json\n\n{\n  \"id\": \"id-value\",\n  \"code\": \"R-10\",\n  \"displayName\": \"State income tax withheld\",\n  \"minimumReportable\": 0,\n  \"lastModifiedDateTime\": \"0001-01-01T00:00:00Z\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\nIRS 1099<../resources/dynamics_irs1099>\nGet IRS 1099<dynamics_irs1099_get>\nPatch IRS 1099<dynamics_irs1099_update>\nDelete IRS 1099<dynamics_irs1099_delete>"}